summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-electronics/geda/geda-1.8.2.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-electronics/geda/geda-1.8.2.ebuild')
-rw-r--r--sci-electronics/geda/geda-1.8.2.ebuild82
1 files changed, 82 insertions, 0 deletions
diff --git a/sci-electronics/geda/geda-1.8.2.ebuild b/sci-electronics/geda/geda-1.8.2.ebuild
new file mode 100644
index 00000000000..292cd959e56
--- /dev/null
+++ b/sci-electronics/geda/geda-1.8.2.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils fdo-mime flag-o-matic gnome2-utils versionator
+
+MY_PN=${PN}-gaf
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
+HOMEPAGE="http://www.gpleda.org/"
+SRC_URI="http://ftp.geda-project.org/${MY_PN}/stable/v$(get_version_component_range 1-2)/${PV}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE="debug doc examples nls stroke threads"
+
+CDEPEND="
+ dev-libs/glib:2
+ x11-libs/gtk+:2
+ >=x11-libs/cairo-1.2.0
+ >=dev-scheme/guile-1.8[deprecated]
+ nls? ( virtual/libintl )
+ stroke? ( >=dev-libs/libstroke-0.5.1 )"
+
+DEPEND="${CDEPEND}
+ sys-apps/groff
+ dev-util/desktop-file-utils
+ x11-misc/shared-mime-info
+ virtual/pkgconfig
+ nls? ( >=sys-devel/gettext-0.16 )"
+
+RDEPEND="${CDEPEND}
+ sci-electronics/electronics-menu"
+
+S=${WORKDIR}/${MY_P}
+
+DOCS="AUTHORS NEWS README"
+
+src_prepare() {
+ append-libs -lgio-2.0
+ if ! use doc ; then
+ sed -i -e '/^SUBDIRS = /s/docs//' Makefile.in || die
+ fi
+ if ! use examples ; then
+ sed -i -e 's/\texamples$//' Makefile.in || die
+ fi
+}
+
+src_configure() {
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_enable threads threads posix) \
+ $(use_with stroke libstroke) \
+ $(use_enable nls) \
+ $(use_enable debug assert) \
+ --disable-doxygen \
+ --disable-rpath \
+ --disable-update-xdg-database
+}
+
+src_test() {
+ emake -j1 check
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}